com.streambase.sb.monitor

## Class SystemInfo

- java.lang.Object
- - com.streambase.sb.monitor.SystemInfo

-     public class SystemInfo
      extends Object

  Represents system-level information. Instances of this class should be retrieved from a Snapshot.
  See Also:
    `Snapshot`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SystemInfo.GCInfo` Information about GC collectors in the JVM

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `clear()`
    `protected void` | `extractGCInfo(String name, StatTuplev3 st)`
    `(package private) void` | `extractInfo(StatTuple st)` extract system info from the StatTuple, setting member data as appropriate.
    `(package private) void` | `extractInfo(StatTuplev3 st)` extract system info from the StatTuple, setting member data as appropriate.
    `int` | `getClientCount()` Returns the current number of clients
    `int` | `getDequeueClientCount()` Returns the current number of dequeuing clients
    `long` | `getFreeMemory()` Returns the amount of free memory in the StreamBase server process.
    `Collection<SystemInfo.GCInfo>` | `getGCollectors()` Return a collection of information on all the garbage collectors in the JVM
    `long` | `getMaxMemory()` Returns the maximum amount of memory which the StreamBase server process is allowed to allocate.
    `int` | `getProcessSize()` Deprecated. As of StreamBase 3.0, use getTotalMemory(), which returns a size in bytes.
    `int` | `getTimeRunning()` Returns the time that the StreamBase Server has been running, in seconds.
    `long` | `getTotalMemory()` Returns the total amount of memory available for use in the StreamBase server process.
    `int` | `getTotalNumberThreads()` Return the total number of threads running in the JVM (including non-StreamBase threads)
    `long` | `getUsedMemory()` Returns the total amount of memory currently in use in the StreamBase server process.
    `(package private) void` | `prettyPrint()` Pretty-print a SystemInfo object to the standard output.
    `(package private) void` | `saveForNextCycle()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemInfo

          public SystemInfo()

  - ### Method Detail

    - #### extractInfo

          void extractInfo(StatTuplev3 st)

      extract system info from the StatTuple, setting member data as appropriate.

    - #### extractGCInfo

          protected void extractGCInfo(String name,
                                       StatTuplev3 st)

    - #### extractInfo

          void extractInfo(StatTuple st)

      extract system info from the StatTuple, setting member data as appropriate.

    - #### getTimeRunning

          public int getTimeRunning()

      Returns the time that the StreamBase Server has been running, in seconds.
      Returns:
        the seconds that sbd has been running

    - #### getProcessSize

          public int getProcessSize()

      Deprecated. As of StreamBase 3.0, use getTotalMemory(), which returns a size in bytes.
      Returns the amount of memory used by the StreamBase server process, in Megabytes.
      Returns:
        size of the server process, in Mbytes

    - #### getTotalMemory

          public long getTotalMemory()

      Returns the total amount of memory available for use in the StreamBase server process.
      Returns:
        the amount of memory, in bytes

    - #### getUsedMemory

          public long getUsedMemory()

      Returns the total amount of memory currently in use in the StreamBase server process.
      Returns:
        the amount of memory, in bytes

    - #### getFreeMemory

          public long getFreeMemory()

      Returns the amount of free memory in the StreamBase server process.
      Returns:
        the amount of memory, in bytes

    - #### getMaxMemory

          public long getMaxMemory()

      Returns the maximum amount of memory which the StreamBase server process is allowed to allocate.
      Returns:
        the amount of memory, in bytes

    - #### getDequeueClientCount

          public int getDequeueClientCount()

      Returns the current number of dequeuing clients
      Returns:
        the number of dequeueing clients

    - #### getClientCount

          public int getClientCount()

      Returns the current number of clients
      Returns:
        the number of clients

    - #### getTotalNumberThreads

          public int getTotalNumberThreads()

      Return the total number of threads running in the JVM (including non-StreamBase threads)
      Returns:
        total number of threads running in the JVM (including non-StreamBase threads)

    - #### saveForNextCycle

          void saveForNextCycle()

    - #### getGCollectors

          public Collection<SystemInfo.GCInfo> getGCollectors()

      Return a collection of information on all the garbage collectors in the JVM
      Returns:
        A collection of information on all the garbage collectors in the JVM
      Since:
        7.1.0

    - #### prettyPrint

          void prettyPrint()

      Pretty-print a SystemInfo object to the standard output.

    - #### clear

          void clear()

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.